org.apache.nutch.parse

## Class Outlink

- java.lang.Object
- - org.apache.nutch.parse.Outlink

- All Implemented Interfaces:
    Writable

      public class Outlink
      extends java.lang.Object
      implements Writable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Outlink()`
    `Outlink(java.lang.String toUrl, java.lang.String anchor)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAnchor()`
    `java.lang.String` | `getToUrl()`
    `static Outlink` | `read(java.io.DataInput in)`
    `void` | `readFields(java.io.DataInput in)`
    `static void` | `skip(java.io.DataInput in)` Skips over one Outlink in the input.
    `java.lang.String` | `toString()`
    `void` | `write(java.io.DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Outlink

          public Outlink()

    - #### Outlink

          public Outlink(java.lang.String toUrl,
                         java.lang.String anchor)
                  throws java.net.MalformedURLException

      Throws:
        `java.net.MalformedURLException`

  - ### Method Detail

    - #### readFields

          public void readFields(java.io.DataInput in)
                          throws java.io.IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### skip

          public static void skip(java.io.DataInput in)
                           throws java.io.IOException

      Skips over one Outlink in the input.
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutput out)
                     throws java.io.IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `java.io.IOException`

    - #### read

          public static Outlink read(java.io.DataInput in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getToUrl

          public java.lang.String getToUrl()

    - #### getAnchor

          public java.lang.String getAnchor()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2019 The Apache Software Foundation